Bug 175649 - Command-line option to read from stdin should be -
Summary: Command-line option to read from stdin should be -
Status: RESOLVED NOT A BUG
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Unspecified
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks: 117452
  Show dependency treegraph
 
Reported: 2008-11-20 12:45 UTC by Tristan Miller
Modified: 2019-05-19 15:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tristan Miller 2008-11-20 12:45:57 UTC
Version:            (using KDE 4.1.3)
Installed from:    SuSE RPMs

Kate currently uses the short command-line option -i to specify that the file should be read from stdin.  However, it's long been the convention in the Un*x world that the option - be used for this purpose.  Please change -i to - in Kate to bring it into conformance with other Un*x and KDE tools (including okular, kghostview, etc.).  -i could be kept as a deprecated synonym for a while.
Comment 1 Christoph Cullmann 2015-10-08 08:54:48 UTC
Dear user,

this wish list item is now closed, as it wasn't touched in the last two years and no contributor stepped up to implement it.

The Kate/KTextEditor team is very small and we can just try to keep up with fixing bugs. Therefore wishs that show no activity for two years or more will be closed from now on to keep at least a bit overview about 'current' wishs of the users.

If you want your feature to be implemented, please step up to provide some patch for it. If you think it is really needed, you can reopen your request, but keep in mind, if no new good arguments are made and no people get attracted to help out to implement it, it will expire in two years again.

We have a nice website kate-editor.org that provides all the information needed to contribute, please make use of it. For highlighting improvements our user manual shows how to write syntax definition files.

Greetings
Christoph
Comment 2 Tristan Miller 2016-08-17 13:13:59 UTC
Problem still exists in Kate 15.12.3.
Comment 3 Christoph Cullmann 2019-05-19 15:02:00 UTC
Dear user, this wish list item is now closed, as it wasn't touched in the last year and no contributor stepped up to implement it.

The Kate/KTextEditor team is small and we can just try to keep up with fixing bugs.

Therefore wishes that show no activity for a years or more will be closed from now on to keep at least a bit overview about 'current' wishs of the users.
If you want your feature to be implemented, please step up to provide some patch for it.

If you think it is really needed, you can reopen your request, but keep in mind,
if no new good arguments are made and no people get attracted to help out to implement it,
it will expire in a year again.

We have a nice website https://kate-editor.org that provides all the information needed to contribute, please make use of it.

Patches can be handed in via https://phabricator.kde.org/differential/

Greetings
Christoph Cullmann